function [t_Vindex]=get_PMUindex_obs(m_VMA,m_IRI,m_IMA,line,nob,nol)

temp_V=zeros(nob,1);

if isempty(m_VMA)==0 
    for i=1:length(m_VMA(:,1))
        k=m_VMA(i,1);
        temp_V(k)=1;
    end
end

temp_IV=zeros(nob,1);
if isempty(m_IMA)==0 
    for i=1:length(m_IMA(:,1))
        k=m_IMA(i,1);
        if k>nol
            k=k-nol;
            m=line(k,2);
            n=line(k,1);
        else
            m=line(k,1);
            n=line(k,2);
        end
        if temp_V(m)==1
            temp_IV(n)=1;
        end
    end
end
if isempty(m_IRI)==0
    for i=1:length(m_IRI(:,1))
        k=m_IRI(i,1);
        if k>nol
            k=k-nol;
            m=line(k,2);
            n=line(k,1);
        else
            m=line(k,1);
            n=line(k,2);
        end
        if temp_V(m)==1
            temp_IV(n)=1;
        end
    end
end

t_Vindex=[];
for i=1:nob
    if temp_V(i)==1 || temp_IV(i)==1
        [t_Vindex]=[t_Vindex;i];
    end
end